<?xml version="1.0" encoding="utf-8"?>
<Keyboard xmlns:android="http://schemas.android.com/apk/res/android">

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.45%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="top">
        <Key
            android:codes="126"
            android:keyEdgeFlags="left"
            android:keyLabel="~" />

        <Key
            android:codes="96"
            android:keyLabel="`" />

        <Key
            android:codes="124"
            android:keyLabel="|" />

        <Key
            android:codes="149"
            android:keyLabel="•" />

        <Key
            android:codes="10004"
            android:keyLabel="✔" />

        <Key
            android:codes="960"
            android:keyLabel="π" />

        <Key
            android:codes="247"
            android:keyLabel="÷" />

        <Key
            android:codes="215"
            android:keyLabel="×" />

        <Key
            android:codes="182"
            android:keyLabel="¶" />
        <Key
            android:codes="8710"
            android:keyEdgeFlags="right"
            android:keyLabel="∆" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.444444%"
        android:keyHeight="50dp">
        <Key
            android:codes="163"
            android:horizontalGap="5.5%"
            android:keyEdgeFlags="left"
            android:keyLabel="￡" />

        <Key
            android:codes="65504"
            android:keyLabel="￠" />

        <Key
            android:codes="8364"
            android:keyLabel="€" />

        <Key
            android:codes="165"
            android:keyLabel="¥" />

        <Key
            android:codes="94"
            android:keyLabel="^" />

        <Key
            android:codes="176"
            android:keyLabel="°" />

        <Key
            android:codes="61"
            android:keyLabel="=" />

        <Key
            android:codes="123"
            android:keyLabel="{" />
        <Key
            android:codes="125"
            android:keyEdgeFlags="right"
            android:keyLabel="}" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp">

        <Key
            android:codes="-361"
            android:isModifier="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left"
            android:keyLabel="\?123" />

        <Key
            android:codes="92"
            android:keyLabel="\\" />

        <Key
            android:codes="9400"
            android:keyLabel="Ⓒ" />

        <Key
            android:codes="174"
            android:keyLabel="®" />

        <Key
            android:codes="8482"
            android:keyLabel="™" />

        <Key
            android:codes="8453"
            android:keyLabel="℅" />

        <Key
            android:codes="91"
            android:keyLabel="[" />

        <Key
            android:codes="93"
            android:keyLabel="]" />


        <Key
            android:codes="-5"
            android:isModifier="true"
            android:isRepeatable="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right" />
    </Row>

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="bottom">

        <Key
            android:codes="-2"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left"
            android:keyLabel="ABC" />

        <Key
            android:codes="46"
            android:keyLabel="," />

        <Key
            android:codes="60"
            android:keyLabel="&lt;" />
        <Key
            android:codes="32"
            android:keyWidth="29.5%"
            android:keyLabel="English" />

        <Key
            android:codes="62"
            android:keyLabel="&gt;" />

        <Key
            android:codes="46"
            android:keyLabel="." />

        <Key
            android:codes="-4"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right"
            android:keyLabel="Done" />
    </Row>

</Keyboard>